## ros-kinetic-heron-controller 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(heron_controller)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

find_package(catkin REQUIRED COMPONENTS
  control_toolbox
  nav_msgs
  geometry_msgs
  heron_msgs
  sensor_msgs
  std_srvs
  tf
)

catkin_package(
  INCLUDE_DIRS include
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(${PROJECT_NAME}_node src/controller.cpp src/force_compensator)
add_dependencies(${PROJECT_NAME}_node heron_msgs_generate_messages_cpp)
target_link_libraries(${PROJECT_NAME}_node ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_node
                      PROPERTIES OUTPUT_NAME controller
                      PREFIX "")

# Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-kinetic-heron-controller (0.2.0-1xenial) xenial; urgency=high

  * Bumped CMake version to avoid author warning.
  * Minor linting changes.
  * Switched to BSD licence.
  * Removed message generation.
  * Added GitHub CI, codeowners and issue template.
  * Removed launch folder to be installed because it doesn't exist
  * Switched to std_srvs/SetBool.
  * Fixing dependencies
  * Removed unnecessary includes
  * Updated package.xml to format 2
  * Deleted unnecessary log command
  * Updated C++ version
  * Updated Heron parameters
  * Deleted unused files
  * Updated PID params
  * Last update to the default velocity covariance setting
  * Making time-out the default option
  * New control parameters for debugging
  * Initialized output force to zero and changed default velocity covariance limit
  * Added deadzone in motor control algorithms so motor's aren't always on
  * Fixes to new command-switching system
  * Added service to allow for disabling heron_controller
  * Changed command timeout system
  * Velocity timeout was checking the wrong covariance entry in the odom twist
  * max_fwd_force already accounts for two thrusters
  * Parameterized covariance check on sensor data
  * Changed controll to only depend on odometry/filtered topic
  * Added fwd vel PID control
  * Contributors: Guy Stoppi, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 11 Mar 2021 05:00:00 -0000

ros-kinetic-heron-controller (0.1.0-1xenial) xenial; urgency=high

  * Switched from updatePid to computeCommand as it is deprecated control_toolbox.
  * Heron rename.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 05 Jul 2016 04:00:00 -0000

ros-kinetic-heron-controller (0.0.5-1xenial) xenial; urgency=high

  * add installation rule for header
  * Contributors: Yan Ma

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 05 Mar 2014 05:00:00 -0000

ros-kinetic-heron-controller (0.0.4-1xenial) xenial; urgency=high

  * add include folder into catkin_package command
  * Contributors: Yan Ma

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 05 Mar 2014 05:00:00 -0000

ros-kinetic-heron-controller (0.0.3-1xenial) xenial; urgency=high

  * Negate control outputs as a stopgap until kingfisher_controller correctly accounts for the base_link -> imu_link tf.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 24 Oct 2013 04:00:00 -0000

ros-kinetic-heron-controller (0.0.2-1xenial) xenial; urgency=high

  * Launchfile fix for node name change.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 22 Oct 2013 04:00:00 -0000

ros-kinetic-heron-controller (0.0.1-1xenial) xenial; urgency=high

  * Initial hydro release of kingfisher_controller, as extracted from kingfisher_node.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Oct 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-heron-controller
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-control-toolbox, ros-kinetic-geometry-msgs, ros-kinetic-heron-msgs, ros-kinetic-nav-msgs, ros-kinetic-sensor-msgs, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-heron-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-control-toolbox, ros-kinetic-geometry-msgs, ros-kinetic-heron-msgs, ros-kinetic-nav-msgs, ros-kinetic-sensor-msgs, ros-kinetic-tf
Description: The heron_controller package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-heron-controller//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
